/*
 * Copyright (c) 2007-2010 by The Broad Institute, Inc. and the Massachusetts Institute of Technology.
 * All Rights Reserved.
 *
 * This software is licensed under the terms of the GNU Lesser General Public License (LGPL), Version 2.1 which
 * is available at http://www.opensource.org/licenses/lgpl-2.1.php.
 *
 * THE SOFTWARE IS PROVIDED "AS IS." THE BROAD AND MIT MAKE NO REPRESENTATIONS OR WARRANTIES OF
 * ANY KIND CONCERNING THE SOFTWARE, EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT
 * OR OTHER DEFECTS, WHETHER OR NOT DISCOVERABLE.  IN NO EVENT SHALL THE BROAD OR MIT, OR THEIR
 * RESPECTIVE TRUSTEES, DIRECTORS, OFFICERS, EMPLOYEES, AND AFFILIATES BE LIABLE FOR ANY DAMAGES OF
 * ANY KIND, INCLUDING, WITHOUT LIMITATION, INCIDENTAL OR CONSEQUENTIAL DAMAGES, ECONOMIC
 * DAMAGES OR INJURY TO PROPERTY AND LOST PROFITS, REGARDLESS OF WHETHER THE BROAD OR MIT SHALL
 * BE ADVISED, SHALL HAVE OTHER REASON TO KNOW, OR IN FACT SHALL KNOW OF THE POSSIBILITY OF THE
 * FOREGOING.
 */

package org.broad.igv.util;

import org.apache.log4j.Logger;

import java.io.*;

/**
 * User: jrobinso
 * Date: Mar 21, 2010
 */
public class StreamUtils {
    private static Logger log = Logger.getLogger(StreamUtils.class);

    public static void closeQuitely(InputStream is) {
        try {
            is.close();
        } catch (IOException e) {
            log.error("Error closing stream", e);
        }
    }

    public static void closeQuitely(OutputStream os) {
        try {
            os.close();
        } catch (IOException e) {
            log.error("Error closing stream", e);
        }
    }


    public static void writeString(DataOutputStream os, String string) throws IOException {
        os.write(string.getBytes());
        os.write(0);
    }

    public static String readString(DataInputStream is) throws IOException {
        ByteArrayOutputStream bytes = new ByteArrayOutputStream(100);
        byte b = -1;
        while ((b = is.readByte()) != 0) {
            bytes.write(b);
        }
        return new String(bytes.toByteArray());
    }
}
